<?php

class HRMModel extends mainModel {

    public function __construct() {
        $registry = Registry::getInstance();
        $registry->employee = new Employee();
        $registry->material = new Material();
        $registry->datetoday = new Date();
        $registry->countries = new Countries();
        $registry->currency = new Currency();
        $registry->organization = new Organization();
        $registry->absence = new Absence();
        $registry->finance = new Finance();
        $registry->payment = new Payment();
        $registry->worktimes = new WorkingTimes();
        $registry->user = new User();
        $registry->announcement = new Announcement();
        $registry->branch = new Branch();
        $registry->job = new Job();
        $registry->role = new Role();
        $registry->permission = new Permission();
        $registry->per = new Permissions(Session::getUserID());
        $registry->expenses = new Expense;
        $registry->attendance = new Attendence();
        $registry->report = new Report();
        
        
    }

    public static function getmsg($msg) {
//            session_start();
//            $lang = new CommonLanguage();
        return CommonLanguage::getMessage($msg);
    }

}
